%define url_ver %(echo %{version} | cut -d "." -f -2)

%define pkgname		gtkmm
%define api_version	3.0
%define major		1
%define libname_orig	%mklibname %{pkgname} %{api_version}
%define libname		%mklibname %{pkgname} %{api_version} %{major}
%define libnamedev	%mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev	%mklibname -d -s %{pkgname} %{api_version}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for popular GUI library gtk+
Version:	3.22.0
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires:	graphviz
BuildRequires:	xsltproc
BuildRequires:	doxygen
BuildRequires:	pkgconfig(giomm-2.4) >= 2.46.1
BuildRequires:	pkgconfig(pangomm-1.4) >= 2.38.1
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.18.0
BuildRequires:	pkgconfig(cairomm-1.0) >= 1.12.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(atkmm-1.6)

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package	-n %{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.

%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%package	-n %{libnamestaticdev}
Summary:	Static libraries of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libnamedev} = %{version}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}

%description	-n %{libnamestaticdev}
This package contains the static libraries of %{pkgname}.

%package	doc
Summary:	GTKmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x \
	--enable-static \
	--enable-shared
%make

%install
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgdkmm-%{api_version}.so.%{major}{,.*}
%{_libdir}/libgtkmm-%{api_version}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc PORTING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}
%{_libdir}/gdkmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files -n %{libnamestaticdev}
%doc COPYING
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/gtkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*


%changelog
* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054636
- new version 3.22.0
- new version 3.21.4

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001444
- new version 3.20.1

* Mon Mar 28 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 995900
- new version 3.20.0

* Fri Mar 18 2016 ovitters <ovitters> 3.19.12-1.mga6
+ Revision: 992787
- new version 3.19.12

* Mon Mar 07 2016 ovitters <ovitters> 3.19.11-1.mga6
+ Revision: 987182
- new version 3.19.11

* Mon Jan 11 2016 ovitters <ovitters> 3.19.6-1.mga6
+ Revision: 921713
- new version 3.19.6
- new version 3.19.5

* Sun Nov 29 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 907232
- new version 3.19.3

  + fwang <fwang>
    - bump req

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882944
- new release

  + ovitters <ovitters>
    - new version 3.17.90

* Sat Sep 05 2015 ovitters <ovitters> 3.17.80-1.mga6
+ Revision: 873094
- new version 3.17.80

* Sun Aug 23 2015 ovitters <ovitters> 3.17.70-1.mga6
+ Revision: 868697
- new version 3.17.70

* Wed Jul 22 2015 ovitters <ovitters> 3.17.50-1.mga6
+ Revision: 856123
- new version 3.17.50
- new version 3.17.41

* Tue Jun 30 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 848368
- new version 3.17.4

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 838769
- new version 3.17.3

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 744521
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721233
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.8-3.mga5
+ Revision: 686702
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.8-1.mga5
+ Revision: 676954
- new version 3.13.8

* Fri Aug 22 2014 ovitters <ovitters> 3.13.7-1.mga5
+ Revision: 666531
- new version 3.13.7

* Tue Jul 29 2014 ovitters <ovitters> 3.13.5-1.mga5
+ Revision: 657918
- new version 3.13.5

* Thu Jun 26 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639925
- new version 3.13.3

* Sun Apr 13 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 613907
- new version 3.12.0

* Sat Apr 05 2014 ovitters <ovitters> 3.11.10-1.mga5
+ Revision: 612000
- new version 3.11.10

* Tue Mar 18 2014 ovitters <ovitters> 3.11.9-1.mga5
+ Revision: 604892
- new version 3.11.9

* Tue Mar 04 2014 ovitters <ovitters> 3.11.8-1.mga5
+ Revision: 599444
- new version 3.11.8

* Wed Feb 19 2014 ovitters <ovitters> 3.11.7-1.mga5
+ Revision: 594718
- new version 3.11.7

* Mon Feb 17 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 593821
- new version 3.11.5

* Mon Feb 17 2014 fwang <fwang> 3.11.4-1.mga5
+ Revision: 593362
- 3.11.4

* Mon Oct 28 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 547752
- new version 3.10.1

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 541177
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 495256
- new version 3.10.0

* Fri Sep 20 2013 ovitters <ovitters> 3.9.16-1.mga4
+ Revision: 481701
- new version 3.9.16

* Wed Sep 11 2013 dams <dams> 3.9.14-1.mga4
+ Revision: 477577
- new version 3.9.14

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427401
- new version 3.8.1

* Sat Mar 02 2013 rtp <rtp> 3.6.0-3.mga3
+ Revision: 401038
- disable maintainer mode as it's breaking non parallel build in weird way

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 352907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 308973
- new version 3.6.0

* Sun Oct 14 2012 ennael <ennael> 3.5.13-2.mga3
+ Revision: 305606
- Documentation group

* Thu Sep 27 2012 ovitters <ovitters> 3.5.13-1.mga3
+ Revision: 298823
- new version 3.5.13

* Fri Aug 31 2012 ovitters <ovitters> 3.5.12-1.mga3
+ Revision: 285944
- new version 3.5.12

* Thu Jul 12 2012 fwang <fwang> 3.5.6-1.mga3
+ Revision: 270158
- new verison 3.5.6

* Tue Apr 10 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 230122
- update buildrequires
- new version 3.4.0

* Wed Mar 28 2012 ovitters <ovitters> 3.3.20-1.mga2
+ Revision: 227260
- new version 3.3.20

* Tue Mar 06 2012 fwang <fwang> 3.3.18-1.mga2
+ Revision: 220357
- update br
- new version 3.3.18

* Tue Feb 28 2012 ovitters <ovitters> 3.3.16-1.mga2
+ Revision: 215808
- new version 3.3.16

* Tue Feb 07 2012 fwang <fwang> 3.3.14-1.mga2
+ Revision: 205914
- new version 3.3.14

* Tue Sep 27 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 149314
- bump req

  + wally <wally>
    - new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.90.1-1.mga2
+ Revision: 145413
- new version 3.1.90.1

* Fri Sep 16 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 144287
- new version 3.1.90

* Thu Sep 15 2011 wally <wally> 3.1.90-0.1.mga2
+ Revision: 144104
- new version 3.1.90
- get source tarball from upstream git as there's no official release yet

* Tue Sep 06 2011 wally <wally> 3.1.18-1.mga2
+ Revision: 139671
- new version 3.1.18

* Fri Sep 02 2011 tv <tv> 3.1.16-2.mga2
+ Revision: 137817
- make the huge doc subpackage be noarch

* Wed Aug 31 2011 fwang <fwang> 3.1.16-1.mga2
+ Revision: 137165
- new version 3.1.16
- new version 3.1.10

  + wally <wally>
    - add back accidentally removed -devel package

* Sun Jul 10 2011 fwang <fwang> 3.1.8-1.mga2
+ Revision: 121587
- new version 3.1.8

* Sat Jun 18 2011 cjw <cjw> 3.0.1-1.mga2
+ Revision: 109353
- 3.0.1

  + ennael <ennael>
    - clean spec file
    - imported package gtkmm3.0


* Wed Apr 06 2011 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 650967
- update to new version 3.0.0

* Fri Mar 25 2011 Götz Waschk <waschk@mandriva.org> 2.99.8-1
+ Revision: 648504
- update to new version 2.99.8

* Fri Mar 25 2011 Götz Waschk <waschk@mandriva.org> 2.99.7-1
+ Revision: 648491
- update to new version 2.99.7

* Wed Mar 23 2011 Funda Wang <fwang@mandriva.org> 2.99.6-1
+ Revision: 648067
- new version 2.99.6

* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 2.90.7-1mdv2011.0
+ Revision: 578479
- update to new version 2.90.7

* Wed Jul 21 2010 Götz Waschk <waschk@mandriva.org> 2.90.5-1mdv2011.0
+ Revision: 556478
- new version
- update file list
- new version
- new api
- update deps

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2010.1
+ Revision: 541987
- update to new version 2.20.3

* Fri Apr 16 2010 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2010.1
+ Revision: 535451
- update to new version 2.20.2

* Wed Apr 07 2010 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2010.1
+ Revision: 532791
- update to new version 2.20.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2010.1
+ Revision: 529689
- new version
- bump glibmm dep

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 2.19.7-1mdv2010.1
+ Revision: 524905
- update to new version 2.19.7

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2010.1
+ Revision: 510579
- update to new version 2.19.6

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2010.1
+ Revision: 496741
- new version
- bump gtk dep

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2010.1
+ Revision: 486186
- update to new version 2.19.2

* Sun Oct 04 2009 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2010.0
+ Revision: 453733
- new version

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2010.0
+ Revision: 446720
- new version
- update file list

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.17.11-1mdv2010.0
+ Revision: 432734
- new version
- bump gtk dep

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.17.9.3-1mdv2010.0
+ Revision: 422132
- update to new version 2.17.9.3
- update to new version 2.17.9.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.17.9-1mdv2010.0
+ Revision: 421449
- new version
- update deps
- update file list

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2010.0
+ Revision: 395970
- update to new version 2.17.2

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2010.0
+ Revision: 390593
- bump gtk+ dep
- new version
- drop merged patch

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2009.1
+ Revision: 355983
- update to new version 2.16.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2009.1
+ Revision: 348121
- update to new version 2.15.5

* Fri Feb 06 2009 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2009.1
+ Revision: 338044
- update to new version 2.15.3

* Sun Jan 25 2009 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2009.1
+ Revision: 333556
- update to new version 2.15.1

* Mon Jan 05 2009 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2009.1
+ Revision: 324963
- new version
- bump deps
- fix format strings

* Fri Nov 14 2008 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdv2009.1
+ Revision: 303146
- update to new version 2.14.3

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2009.1
+ Revision: 301809
- update to new version 2.14.2

* Thu Sep 25 2008 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2009.0
+ Revision: 288069
- new version

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2009.0
+ Revision: 286602
- new version
- bump pangomm dep

* Wed Sep 10 2008 Götz Waschk <waschk@mandriva.org> 2.13.8-1mdv2009.0
+ Revision: 283475
- new version
- drop patch
- update license

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-2mdv2009.0
+ Revision: 282904
- patch for gtk api changes (fixes crash reportet as #43623)

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2009.0
+ Revision: 274125
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2009.0
+ Revision: 263349
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2009.0
+ Revision: 242538
- new version
- depend on pangomm

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 2.13.4-1mdv2009.0
+ Revision: 236587
- new version
- update file list

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.13.1-2mdv2009.0
+ Revision: 231287
- new version
- bump deps
- update license

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.12.7-2mdv2009.0
+ Revision: 221116
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 02 2008 Götz Waschk <waschk@mandriva.org> 2.12.7-1mdv2008.1
+ Revision: 191629
- new version

* Tue Apr 01 2008 Götz Waschk <waschk@mandriva.org> 2.12.6-1mdv2008.1
+ Revision: 191359
- new version
- new version
- update file list

* Sun Jan 27 2008 Götz Waschk <waschk@mandriva.org> 2.12.4-2mdv2008.1
+ Revision: 158507
- rebuild for broken build system
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 08 2007 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2008.1
+ Revision: 106900
- new version

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2008.1
+ Revision: 106016
- new version

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2008.1
+ Revision: 96635
- new version
- bump glibmm dep

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2008.0
+ Revision: 85532
- new version
- bump deps

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 2.11.8-1mdv2008.0
+ Revision: 76898
- new version

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 2.11.7-1mdv2008.0
+ Revision: 65168
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2008.0
+ Revision: 56519
- new version

* Sun Jul 22 2007 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2008.0
+ Revision: 54395
- new version
- bump deps

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2008.0
+ Revision: 46963
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-2mdv2008.0
+ Revision: 41463
- rebuild

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2008.0
+ Revision: 40798
- new version

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2008.0
+ Revision: 36045
- new version
- bump deps

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.10.10-1mdv2008.0
+ Revision: 20405
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.10.9-1mdv2008.0
+ Revision: 17910
- new version

